Module com.microsoft.sqlserver.jdbc
Package com.microsoft.sqlserver.jdbc

# Interface SQLServerAccessTokenCallback

public interface SQLServerAccessTokenCallback
Provides SqlAuthenticationToken callback to be implemented by client code.

## Method Summary

Modifier and Type
Method
Description
`SqlAuthenticationToken`
`getAccessToken(String spn, String stsurl)`
For an example of callback usage, look under the project's code samples.

## Method Details

### getAccessToken

SqlAuthenticationToken getAccessToken(String spn, String stsurl)
For an example of callback usage, look under the project's code samples. Returns the access token for the authentication request

Parameters:
  `spn` - - Service principal name.
  `stsurl` - - Security token service URL.
Returns:
  Returns a `SqlAuthenticationToken`.